VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Pick a Cat"
   ClientHeight    =   3690
   ClientLeft      =   1140
   ClientTop       =   1515
   ClientWidth     =   3615
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   3690
   ScaleWidth      =   3615
   Begin VB.PictureBox picCats 
      AutoSize        =   -1  'True
      Height          =   3120
      Left            =   120
      Picture         =   "Form1.frx":0000
      ScaleHeight     =   204
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   220
      TabIndex        =   0
      Top             =   120
      Width           =   3360
   End
   Begin VB.PictureBox picMask 
      AutoRedraw      =   -1  'True
      AutoSize        =   -1  'True
      Height          =   3120
      Left            =   480
      Picture         =   "Form1.frx":20E32
      ScaleHeight     =   204
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   220
      TabIndex        =   1
      Top             =   360
      Visible         =   0   'False
      Width           =   3360
   End
   Begin VB.Label lblName 
      Alignment       =   2  'Center
      Height          =   255
      Left            =   120
      TabIndex        =   2
      Top             =   3360
      Width           =   3360
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' The names of the cats in the picture.
Private CatNames As New Collection

' Colors assigned to the cats in the mask picture.
Private CatColors As New Collection

' The cat the mouse is currently over.
Dim CurrentCat As String

' Initialize the cat name and color collections.
Private Sub Form_Load()
    CatNames.Add "Merlin", " 255"
    CatNames.Add "Cobe", " 32768"
End Sub

' The user is moving the mouse over the picture.
' Display the name of the cat the mouse is over.
Private Sub picCats_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
Dim clr As Long

    ' Find the color of the corresponding pixel
    ' in the mask.
    clr = picMask.Point(X, Y)

    ' See which cat this is.
    On Error Resume Next
    CurrentCat = CatNames(Str$(clr))

    ' See if we had an error looking for the name.
    If Err.Number <> 0 Then
        ' There was an error. This color is not
        ' in the collection.
        CurrentCat = ""
    End If

    ' Display the cat's name.
    If lblName.Caption <> CurrentCat _
        Then lblName.Caption = CurrentCat
End Sub

' Display the name of the selected cat.
Private Sub picCats_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If CurrentCat <> "" Then
        MsgBox "This is " & CurrentCat & ".", _
            vbOKOnly, "Pick a Cat"
    End If
End Sub


